// AP COMMUNICATION
// Project: MEMENTO
// Silvia Boscolo + Alberto Moro + Erika Rossi
// IUAV University of Venice
// IxD Lab 2 - AA 2009/2010


import processing.serial.*;
import ddf.minim.*;

Minim minim;
AudioPlayer drin, ghost;
Serial port;
boolean drinPlaying = false;
boolean phoneTimeIsOk = false;
boolean nearPhone = true;
boolean cornettaSu = false;
boolean start = false;
boolean greenLed = false;
boolean reset = false;
boolean phonePlayed = false;
PImage bg,y,n,ok;

Movie tv;
Movie black;
boolean tvplaying = false;
boolean blackplaying = false;


// phoneTimeIsOk


void setup(){
  port = new Serial(this,Serial.list()[0],9600);
  //size(400, 180);
  size(640, 480);
  background(255);
  minim = new Minim(this);
  drin = minim.loadFile( "teleflux.mp3");
  ghost = minim.loadFile( "ghost.mp3"); 
  setupControl();

  bg = loadImage("bg.jpg");
  y = loadImage("y.png");
  n = loadImage("n.png");
  ok = loadImage("ok.png");
  setupTV();
  setupFS();
}

void draw(){ 
  background(0);
  checkSensors();
  checkNumberPeople();
  actuator();
  //graphics();
  drawTv();  
}

void reset(){
  phonePlayed = false;
  for(int i=0; i<path.length; i++){
    path[i] = "";
  }
  indexPath = 0;
  start = false;
  numIn=numOut=0;
  ledGreenStop();
  
  drin.rewind();
  ghost.rewind();
  audioguida.rewind();
  
  //tv.jump(0);
  //tv.pause();
  //tv.stop();
  phoneTimeIsOk=false;
  background(0);
  
}


void keyPressed() {
  
  if (keyCode == 'R') {
    reset();
    println("");
    println("RESET");
    println("");
  } 
  else if (keyCode == 'T') {
    phoneTimeIsOk = !phoneTimeIsOk; 
    println("");
    println("RING TIME: "+phoneTimeIsOk);
    println("");
  }
  
  if(phoneTimeIsOk){
    port.write(7); // day
  }
  else{
    port.write(8); // night
  }
  
  
}

void mouseReleased(){
  if(reset){ reset=false; }
}
void graphics(){
  
  image(bg,0,0);
  if(reset){
    image(ok, 70,100);
  }
  
  if(phoneTimeIsOk){
    image(y,290,100);
    port.write(8); // night
  }
  else{
    image(n,290,100);
    port.write(7); // day
  }
  
}

